Delete specific dotnet SDK or Runtime version

First of all you could run this command on the terminal to list installed SDKs and runtimes versions.

dotnet-core-uninstall list for Mac ./dotnet-core-uninstall list
Sample results;
NET Core SDKs:

  6.0.300-preview.22159.24  (x64)  [Used by Visual Studio for Mac. Specify individually or use —-force to remove]

  6.0.200-preview.22071.6   (x64)                                                                                                 ....                                                                         

.NET Core Runtimes:

  6.0.2-servicing.1.22063.8  (x64)                                                                                        

  6.0.2                      (x64)  [Used by Visual Studio for Mac or SDKs. Specify individually or use —-force to remove]       

 

Then it will be enough to run this command to delete the version you want.


dotnet-core-uninstall remove --sdk 6.0.300-preview.22159.24

or 

dotnet-core-uninstall remove --runtime 6.0.2-servicing.1.22063.8

                                                                         

 

 

MAUI/Xamarin Apple authentication errors

While trying to connect to apple developer account for a couple of days, Visual Studio suddenly started giving these errors. 

Latest update 4/12/2022:   Unfortunately the problem was not fixed with Version Visual Studio 2022 17.2.0 Preview 3.0

Latest update: Although there is no solution yet, you can follow the suggestions here.

https://developercommunity.visualstudio.com/t/Cannot-load-Apple-certificates/1692185

It is reported from Microsoft that the issue will be resolved in the next VS update.

 

There was an error while trying to automatically provision the project.
This request is forbidden for security reasons: Authentication Error.
Xcode 7.3 or later is required to continue developing with your AppleID.

 

There was an error while loading your provisioning profiles:
An active membership to the Apple Developer Program is
required to provision iOS devices for development.
Learn more (https://go.microsoft.com/fwlink/?linkid=2117069)

(I already have an active membership)

Tested Visual Studio versions (VS 2022 Community Edition 17.1, VS 2022 Preview 17.1, VS 2022 Preview 17.2)

While continuing my research on the subject, I wanted to share what I did by writing a blog post.

I tried on Mac with Xcode 15.3 and It did automatic provisioning without any errors

I tried with a free developer account but got this error 

There was an error while trying to log in: 
An active membership to the Apple Developer Program is
required to provision iOS devices for development.
Learn more (https://go.microsoft.com/fwlink/?linkid=2117069)

 

Hello World

Even though I haven't updated it much, I decided to convert the main language of my blog, which I have been writing in Turkish for about 14 years, to English.

My Turkish blog will continue to be updated, but priority will be in English. I plan to write mostly about MAUI, Microsoft's cross-platform application development tool, and software technologies. We will also have a tips and tricks section. I hope it will be useful for everyone who visits my blog.

Microsoft.Graphics.Canvas.winmd cannot be referenced MAUI Error

If you get this error and you target only  android or ios environment please check your project file and delete this code block. 

	<ItemGroup Condition="$(TargetFramework.Contains('-windows'))">
		<!-- Required - WinUI does not yet have buildTransitive for everything -->
		<PackageReference Include="Microsoft.WindowsAppSDK" Version="1.0.0" />
		<PackageReference Include="Microsoft.Graphics.Win2D" Version="1.0.0.30" />
	</ItemGroup>

 

Useful FFmpeg commands

I prepared a github repo for explaining how you can easily find answers to video solutions/problems that you will need in daily life with FFmpeg library. You can forward your questions/questions about the document from the repo's issues section.

FFmpeg Commands

Run a MAUI project on Android devices of different architectures

Recently Visual Studio gave the following error when I tried to run the MAUI project on a Samsung T580 tablet 

Mono.AndroidTools.IncompatibleCpuAbiExceptiopn: The package does not support the CPU architecture of this device

After many attempts, the problem was solved by adding the following line to the project file that contains the mobile platforms.

<RuntimeIdentifiers Condition="$(TargetFramework.Contains('-android'))">android-arm;android-arm64;android-x86;android-x64</RuntimeIdentifiers>

 

Also you need to add this line the project file

 <PropertyGroup>
<RuntimeIdentifiers Condition="$(TargetFramework.Contains('-android'))">android-arm;android-arm64;android-x86;android-x64</RuntimeIdentifiers>
</PropertyGroup>

CSS not loading when running MAUI project on Mac OS.

I ran into a weird problem today while running the MAUI Blazor project on Mac OS via Visual Studio Code. CSS files were not loading on Mac OS although there was no problem on Windows. After some research, I realized that the problem was caused by the case sensitivity of linux. When I changed the name of the index.html file in the wwwroot folder to Index.html, the css was loaded. It may be due to the Turkish language, but I wanted to share it thinking that others can experience it too.